<?php
/**
 * @package Magazinex
 */
function magazinex_customizer_blog_posts( $options ) {
	/**
	 *	Add Panel.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'blog_post_settings',
		  'opt_type'    => 'panel',
		  'name'        => esc_html__( 'Blog Posts Settings', 'magazinex-lite' ),
		  'description' => esc_html__( 'Here the view of posts options on an home/blog page and single.', 'magazinex-lite' ),
		  'priority'    => 109,
	);

	/**
	 * Blog Post.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'blog_post_options',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Blog Posts', 'magazinex-lite' ),
		  'description' => esc_html__( 'Please note that options below are valid for the posts on Blog/Front Page.', 'magazinex-lite' ),
		  'panel'       => 'blog_post_settings',
	);

	# Blog Intro Title.
	$options[] = array(
		  'slug'        => 'blog_intro_title',
		  'opt_type'    => 'text',
		  'name'        => esc_html__( 'Blog Intro Title', 'magazinex-lite' ),
		  'default'     => esc_html__( 'My Journal', 'magazinex-lite' ),
		  'section'     => 'blog_post_options',
		  'transport'   => 'refresh',
	);

	# Blog Intro text.
	$options[] = array(
		  'slug'        => 'blog_intro_text',
		  'opt_type'    => 'textarea',
		  'name'        => esc_html__( 'Blog Intro Text', 'magazinex-lite' ),
		  'default'     => '',
		  'section'     => 'blog_post_options',
		  'transport'   => 'refresh',
	);

	# Blog Posts Options.
	$post_settings = array(
		  'entry_category_first_only'      => esc_html__( 'Display all post category badge', 'magazinex-lite' ),
		  'hide_blog_author'      => esc_html__( 'Hide Author', 'magazinex-lite' ),
		  'hide_blog_date'      => esc_html__( 'Hide Date', 'magazinex-lite' ),
	);
	foreach( $post_settings as $key => $name ) {
		$options[] = array(
			  'slug'        => $key,
			  'opt_type'    => 'checkbox',
			  'name'        => $name,
			  'default'     => 0,
			  'section'     => 'blog_post_options',
		);
	}

	/**
	 * Single Post.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'single_post_options',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Single Post', 'magazinex-lite' ),
		  'panel'       => 'blog_post_settings',
	);

	# Single Post Options.
	$post_settings = array(
		  'hide_post_date'      => esc_html__( 'Hide Date', 'magazinex-lite' ),
		  'hide_post_author'      => esc_html__( 'Hide Author', 'magazinex-lite' ),
		  'hide_post_tags'      => esc_html__( 'Hide Tags', 'magazinex-lite' ),
		  'hide_post_cats_top'      => esc_html__( 'Hide Category at the top', 'magazinex-lite' ),
		  'hide_post_cats_bot'      => esc_html__( 'Hide Category at the bottom', 'magazinex-lite' ),
		  'hide_post_share'     => esc_html__( 'Hide Share Buttons', 'magazinex-lite' ),
		  'hide_related_posts'  => esc_html__( 'Hide Related Posts', 'magazinex-lite' ),
		  'hide_author_box'  => esc_html__( 'Hide Author Box', 'magazinex-lite' ),
	);
	foreach( $post_settings as $key => $name ) {
		$options[] = array(
			  'slug'        => $key,
			  'opt_type'    => 'checkbox',
			  'name'        => $name,
			  'default'     => 0,
			  'section'     => 'single_post_options',
		);
	}
	
	return $options;
}
add_filter( 'magazinex_settings_input', 'magazinex_customizer_blog_posts' );