<?php
/**
 * @package Magazinex
 */
function magazinex_customizer_add_colors( $options ) {
	/**
	 *	Add section.
	 *---------------------------------------------------------*/
	$options[] = array(
		  	'slug'        => 'colors_section',
			'opt_type'    => 'section',
			'name'        => esc_html__( 'Colors', 'magazinex-lite' ),
			'priority'    => 83
	);

	/**
	 *	Main Color.
	 *---------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'main_color',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Main Color', 'magazinex-lite' ),
		  'default'     => '#5A5A60',
		  'section'     => 'colors_section',
		  'transport'   => 'postMessage',
		  'js_mod'      => 'css_output',
		  'css_output'  => array(
				array( 
					'class' => 'body, button, input, select, textarea, h1, h2, h3, h4, h5, h6, b, strong, .entry-content blockquote, .comment-content blockquote, .widget-text blockquote, .widget a, .widget_recent_comments ul li a, .related-posts ul li h5, .related-posts ul li h5 a',
					'style' => 'color'
				         )
				)
	);
	
	/**
	 *	Accent Color.
	 *---------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'accent_color',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Accent Color', 'magazinex-lite' ),
		  'default'     => '#3F72D8',
		  'section'     => 'colors_section',
		  'transport'   => 'postMessage',
		  'js_mod'      => 'css_output',
		  'css_output'  => array(
			array(
				  'class' => 'a, .posts-ticker ul, .item-ticker a h5, .posted-on a, .infinite-loader, .comments-link-meta a:hover, .related-posts ul li h5 a:hover, .entry-title a:hover, .post-media .gallery-caption, .wp-caption-text a, .entry-content a, .comment-content a, .widget-text a, .widget a:hover, .widget_recent_comments ul li a:hover, .comment-awaiting-moderation, .comment-author a:hover, .comment-body .reply a:hover, .must-log-in a, .no-comments a:hover, .must-log-in a:hover, .logged-in-as a:hover, .comment-notes a:hover, .footer-social a:hover',
				  'style' => 'color'
			),
			array(
				  'class' => '.tags-links a, button:hover, input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, .menu-toggle, .menu-toggle:hover, #infinite-handle span, .more-link span:hover, .tagcloud a:hover, .mc4wp-form button:hover, .mc4wp-form input[type=button]:hover, .mc4wp-form input[type=submit]:hover',
				  'style' => 'background-color'
			),
			array(
				  'class' => 'button:hover, input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, .more-link span:hover',
				  'style' => 'border-color'
			)
		)
	);
	
	/**
	 *	Header & Site Title.
	 *---------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'site_header_bg',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Header Background', 'magazinex-lite' ),
		  'default'     => '#f4f4f4',
		  'section'     => 'colors_section',
		  'transport'   => 'postMessage',
		  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.site-header', 'style' => 'background-color' ) ),
	);

	$options[] = array(
		  'slug'        => 'site_title_color',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Site Title Color', 'magazinex-lite' ),
		  'default'     => '#3F72D8',
		  'section'     => 'colors_section',
		  'transport'   => 'postMessage',
		  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.site-title, .site-title a, .header-image .site-title, .header-image .site-title a', 'style' => 'color' ) ),
	);
	
	/**
	 *	Navigation.
	 *---------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'nav_color',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Navigation Color', 'magazinex-lite' ),
		  'default'     => '#5A5A60',
		  'section'     => 'colors_section',
		  'transport'   => 'postMessage',
		  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.site-navigation ul li a', 'style' => 'color' ) ),
	);

	$options[] = array(
		  'slug'        => 'sub_menu_bgcolor',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Sub-Menu Background', 'magazinex-lite' ),
		  'default'     => '#1C1C1D',
		  'section'     => 'colors_section',
		  'transport'   => 'refresh',
		  'js_mod'      => 'css_output',
		  'css_output'  => array( 
					array(
						'class' => '.site-navigation ul ul',
						'style' => 'background-color'
					), 
					array(
						'class' => '.site-navigation > ul > li.menu-item-has-children > ul:before',
						'style' => 'border-bottom-color' )
					)
	);

	$options[] = array(
		  'slug'        => 'sub_menu_color',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Sub-Menu Color', 'magazinex-lite' ),
		  'default'     => '#ffffff',
		  'section'     => 'colors_section',
		  'transport'   => 'refresh',
		  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.site-navigation ul ul li a', 'style' => 'color' ) ),
	);

	$options[] = array(
		  'slug'        => 'top_menu_color',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Top-Menu Color', 'magazinex-lite' ),
		  'default'     => '#ffffff',
		  'section'     => 'colors_section',
		  'transport'   => 'postMessage',
		//  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.top-menu ul li a', 'style' => 'color' ) ),
	);

	$options[] = array(
		  'slug'        => 'top_menu_bg',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Top-Menu Background', 'magazinex-lite' ),
		  'description' => esc_html__( 'Press Select Color > Clear if you want a transparent background Top-Menu.', 'magazinex-lite' ),
		  'default'     => '',
		  'section'     => 'colors_section',
		  'transport'   => 'postMessage',
		//  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.top-menu', 'style' => 'background-color' ) ),
	);

	/**
	 *	Headings.
	 *---------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'heading_color',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Headings Color', 'magazinex-lite' ),
		  'default'     => '#1C1C1D',
		  'section'     => 'colors_section',
		  'transport'   => 'refresh',
		  'js_mod'      => 'css_output',
		  'css_output'  => array(
				array( 
					'class' => '.entry-title, .entry-title a',
					'style' => 'color'
				         )
				)
	);

	/**
	 *	Secondary Headings.
	 *---------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'heading_secondary_color',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Secondary Headings Color', 'magazinex-lite' ),
		  'default'     => '#1C1C1D',
		  'section'     => 'colors_section',
		  'transport'   => 'refresh',
		  'js_mod'      => 'css_output',
		  'css_output'  => array(
				array( 
					'class' => '.related-posts .related-title, .widget-title, .comment-title, .comment-reply-title, .related-posts .related-title a, .widget-title a, .comment-title a, .comment-reply-title a',
					'style' => 'color'
				         ),
				array( 
					'class' => '.tabs-widget-tabs li.active a',
					'style' => 'border-top-color'
				         )
				)
	);


	/**
	 *	Footer.
	 *---------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'footer_color',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Footer Text Color', 'magazinex-lite' ),
		  'default'     => '#666666',
		  'section'     => 'colors_section',
		  'transport'   => 'postMessage',
		  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.site-footer, .site-footer a, .site-footer .widget-title', 'style' => 'color' ) ),
	);

	$options[] = array(
		  'slug'        => 'footer_bg_color',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Footer Background', 'magazinex-lite' ),
		  'default'     => '#FFFFFF',
		  'section'     => 'colors_section',
		  'transport'   => 'postMessage',
		  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.site-footer', 'style' => 'background-color' ) ),
	);

	$options[] = array(
		  'slug'        => 'footer_bottom_color',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Footer Bottom Text Color', 'magazinex-lite' ),
		  'default'     => '#666666',
		  'section'     => 'colors_section',
		  'transport'   => 'postMessage',
		  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.footer-bottom', 'style' => 'color' ) ),
	);

	$options[] = array(
		  'slug'        => 'footer_bottom_bg_color',
		  'opt_type'    => 'color',
		  'name'        => esc_html__( 'Footer Bottom Background', 'magazinex-lite' ),
		  'default'     => '#000000',
		  'section'     => 'colors_section',
		  'transport'   => 'postMessage',
		  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.footer-bottom', 'style' => 'background-color' ) ),
	);

	return $options;
}
add_filter( 'magazinex_settings_input', 'magazinex_customizer_add_colors' );