<?php
/**
 * @package Magazinex
 */
function magazinex_customizer_footer_settings( $options ) {
	/**
	 *	Add Section.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'footer_section',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Footer Settings', 'magazinex-lite' ),
		  'priority'    => 190,
	);

	/**
	 *	Ad block.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'footer_ad',
		  'opt_type'    => 'textarea',
		  'name'        => esc_html__( 'Ad Block', 'magazinex-lite' ),
		  'description' => esc_html__( 'Enter the code of the ad banner. Banner size 970x90', 'magazinex-lite' ),
		  'default'     => '',
		  'section'     => 'footer_section',
		  'transport'   => 'refresh',
	);

	/**
	 *	Copyright Text.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'copyright',
		  'opt_type'    => 'textarea',
		  'name'        => esc_html__( 'Copyright Text', 'magazinex-lite' ),
		  'default'     => esc_html__( 'All Rights Reserved', 'magazinex-lite' ),
		  'section'     => 'footer_section',
		  'transport'   => 'postMessage',
	);

	# Credits Options.
	$post_settings = array(
		  'disable_credits'      => esc_html__( 'Disable Theme Credits', 'magazinex-lite' ),
		  'disable_date_copy'      => esc_html__( 'Disable Copyright Date', 'magazinex-lite' ),
	);
	foreach( $post_settings as $key => $name ) {
		$options[] = array(
			  'slug'        => $key,
			  'opt_type'    => 'checkbox',
			  'name'        => $name,
			  'default'     => 0,
			  'section'     => 'footer_section',
		);
	}
	
	return $options;
}
add_filter( 'magazinex_settings_input', 'magazinex_customizer_footer_settings' );