<?php
/**
 * @package Magazinex
 */
function magazinex_customizer_google_fonts_options( $options ) {
	/**
	 *	Add Panel.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'font_panel',
		  'opt_type'    => 'panel',
		  'name'        => esc_html__( 'Google Fonts', 'magazinex-lite' ),
		  'priority'    => 84,
	);

	/**
	 *	Main.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'font_main',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Main Content Font', 'magazinex-lite' ),
		  'panel'       => 'font_panel',
	);

	# Font Name.
	$options[] = array(
		  'slug'        => 'main_font_name',
		  'opt_type'    => 'google_fonts',
		  'name'        => esc_html__( 'Google Font Name', 'magazinex-lite' ),
		  'description' => esc_html__( 'Choose a font name. Default: Lato', 'magazinex-lite' ),
		  'default'     => 'Lato',
		  'section'     => 'font_main',
		  'transport'   => 'refresh',
		  //'js_mod'      => 'google_fonts',
		  'css_output'  => array( array( 'class' => '.entry-summary, .entry-content, .comment-content, .intro', 'style' => 'font-family' ) ),
	);

	# Font Weight.
	$options[] = array(
		  'slug'        => 'main_font_w',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Font Weight', 'magazinex-lite' ),
		  'description' => esc_html__( 'Set font-weight. Default: 400/Regular. Important: Not all fonts support every font-weight.', 'magazinex-lite' ),
		  'default'     => '400',
            		  'choices'     => magazinex_customizer_font_weight_list(),
		  'section'     => 'font_main',
		  'transport'   => 'refresh',
		//  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.entry-summary, .entry-content, .comment-content, .intro', 'style' => 'font-weight' ) ),
	);

	# Font size.
	$options[] = array(
		  'slug'        => 'main_font_size',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Font Size', 'magazinex-lite' ),
		  'description' => esc_html__( 'Set font-size. Default: 16px', 'magazinex-lite' ),
		  'choices'     => magazinex_customizer_font_size_list(),
		  'default'     => '16',
		  'section'     => 'font_main',
		  'transport'   => 'refresh',
		//  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.entry-summary, .entry-content, .comment-content, .intro', 'style' => 'font-size', 'mix' => 'px' ) ),
	);

	/**
	 *	Headings.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'font_heading',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Main Headings', 'magazinex-lite' ),
		  'description' => esc_html__( 'Used for titles of single posts and pages, and headings of posts with classic layout.', 'magazinex-lite' ),
		  'panel'       => 'font_panel',
	);

	# Font Name.
	$options[] = array(
		  'slug'        => 'heading_font_name',
		  'opt_type'    => 'google_fonts',
		  'name'        => esc_html__( 'Google Font Name', 'magazinex-lite' ),
		  'description' => esc_html__( 'Choose a font name. Default: Lato', 'magazinex-lite' ),
		  'default'     => 'Lato',
		  'section'     => 'font_heading',
		  'transport'   => 'refresh',
		//  'js_mod'      => 'google_fonts',
		  'css_output'  => array( array( 'class' => '.page-title, .entry-title, .single .entry-title, .page .entry-title, .intro h1', 'style' => 'font-family' ) ),
	);

	# Font Weight.
	$options[] = array(
		  'slug'        => 'heading_font_w',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Font Weight', 'magazinex-lite' ),
		  'description' => esc_html__( 'Set font-weight. Default: 600/Bold. Important: Not all fonts support every font-weight.', 'magazinex-lite' ),
		  'default'     => '600',
		  'choices'     => magazinex_customizer_font_weight_list(),
		  'section'     => 'font_heading',
		  'transport'   => 'refresh',
		//  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.page-title, .entry-title, .single .entry-title, .page .entry-title, .intro h1', 'style' => 'font-weight' ) ),
	);

	# Font size.
	$options[] = array(
		  'slug'        => 'heading_font_size',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Font Size', 'magazinex-lite' ),
		  'description' => esc_html__( 'Set font-size. Default: 28px', 'magazinex-lite' ),
		  'choices'     => magazinex_customizer_font_size_list(),
		  'default'     => '28',
		  'section'     => 'font_heading',
		  'transport'   => 'refresh',
		//  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.page-title, .entry-title, .single .entry-title, .page .entry-title, .intro h1', 'style' => 'font-size', 'mix' => 'px' ) ),
	);

	/**
	 *	Grid Entry Headings.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'font_grid_title',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Headings Entry Grid', 'magazinex-lite' ),
		  'description' => esc_html__( 'Used for titles of posts with grid layout.', 'magazinex-lite' ),
		  'panel'       => 'font_panel',
	);

	# Font Name.
	$options[] = array(
		  'slug'        => 'grid_title_font_name',
		  'opt_type'    => 'google_fonts',
		  'name'        => esc_html__( 'Google Font Name', 'magazinex-lite' ),
		  'description' => esc_html__( 'Choose a font name. Default: Lato', 'magazinex-lite' ),
		  'default'     => 'Lato',
		  'section'     => 'font_grid_title',
		  'transport'   => 'refresh',
		 // 'js_mod'      => 'google_fonts',
		  'css_output'  => array( array( 'class' => '.post-box .entry-title, .category-posts-grid .has-post-thumbnail .entry-title', 'style' => 'font-family' ) ),
	);

	# Font Weight.
	$options[] = array(
		  'slug'        => 'grid_title_font_w',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Font Weight', 'magazinex-lite' ),
		  'description' => esc_html__( 'Set font-weight. Default: 700/Bolder. Important: Not all fonts support every font-weight.', 'magazinex-lite' ),
		  'default'     => '700',
		  'choices'     => magazinex_customizer_font_weight_list(),
		  'section'     => 'font_grid_title',
		  'transport'   => 'refresh',
		  //'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.post-box .entry-title, .category-posts-grid .has-post-thumbnail .entry-title', 'style' => 'font-weight' ) ),
	);

	# Font size.
	$options[] = array(
		  'slug'        => 'grid_title_font_size',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Font Size', 'magazinex-lite' ),
		  'description' => esc_html__( 'Set font-size. Default: 16px', 'magazinex-lite' ),
		  'choices'     => magazinex_customizer_font_size_list(),
		  'default'     => '16',
		  'section'     => 'font_grid_title',
		  'transport'   => 'refresh',
		 // 'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.post-box .entry-title, .category-posts-grid .has-post-thumbnail .entry-title', 'style' => 'font-size', 'mix' => 'px' ) ),
	);

	/**
	 *	List Entry Headings.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'font_list_title',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Headings Entry List ', 'magazinex-lite' ),
		  'description' => esc_html__( 'Used for titles of posts with list layout.', 'magazinex-lite' ),
		  'panel'       => 'font_panel',
	);

	# Font Name.
	$options[] = array(
		  'slug'        => 'list_title_font_name',
		  'opt_type'    => 'google_fonts',
		  'name'        => esc_html__( 'Google Font Name', 'magazinex-lite' ),
		  'description' => esc_html__( 'Choose a font name. Default: Lato', 'magazinex-lite' ),
		  'default'     => 'Lato',
		  'section'     => 'font_list_title',
		  'transport'   => 'refresh',
		 // 'js_mod'      => 'google_fonts',
		  'css_output'  => array( array( 'class' => '.layout-list .post-list .entry-title', 'style' => 'font-family' ) ),
	);

	# Font Weight.
	$options[] = array(
		  'slug'        => 'list_title_font_w',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Font Weight', 'magazinex-lite' ),
		  'description' => esc_html__( 'Set font-weight. Default: 700/Bolder. Important: Not all fonts support every font-weight.', 'magazinex-lite' ),
		  'default'     => '700',
		  'choices'     => magazinex_customizer_font_weight_list(),
		  'section'     => 'font_list_title',
		  'transport'   => 'refresh',
		//  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.layout-list .post-list .entry-title', 'style' => 'font-weight' ) ),
	);

	# Font size.
	$options[] = array(
		  'slug'        => 'list_title_font_size',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Font Size', 'magazinex-lite' ),
		  'description' => esc_html__( 'Set font-size. Default: 21px', 'magazinex-lite' ),
		  'choices'     => magazinex_customizer_font_size_list(),
		  'default'     => '21',
		  'section'     => 'font_list_title',
		//  'transport'   => 'refresh',
		  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.layout-list .post-list .entry-title', 'style' => 'font-size', 'mix' => 'px' ) ),
	);

	/**
	 *	Secondary/Small.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'font_secondary',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Secondary Content Font', 'magazinex-lite' ),
		  'panel'       => 'font_panel',
	);

	# Font Name.
	$options[] = array(
		  'slug'        => 'secondary_font_name',
		  'opt_type'    => 'google_fonts',
		  'name'        => esc_html__( 'Google Font Name', 'magazinex-lite' ),
		  'description' => esc_html__( 'Choose a font name. Default: Lato', 'magazinex-lite' ),
		  'default'     => 'Lato',
		  'section'     => 'font_secondary',
		  'transport'   => 'refresh',
		 // 'js_mod'      => 'google_fonts',
		  'css_output'  => array( array( 'class' => '.post-box .post-meta, .post-box .comments-link a, .grid-entry-content .byline, .posts-block .byline, .posts-block .date-meta, .byline, .date-meta, .author-meta, author-meta a, .entry-footer, .entry-footer a', 'style' => 'font-family' ) ),
	);

	# Font Weight.
	$options[] = array(
		  'slug'        => 'secondary_font_w',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Font Weight', 'magazinex-lite' ),
		  'description' => esc_html__( 'Set font-weight. Default: 400/Regular. Important: Not all fonts support every font-weight.', 'magazinex-lite' ),
		  'default'     => '400',
            		  'choices'     => magazinex_customizer_font_weight_list(),
		  'section'     => 'font_secondary',
		  'transport'   => 'refresh',
		 // 'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.post-box .post-meta, .post-box .comments-link a, .grid-entry-content .byline, .posts-block .byline, .posts-block .date-meta, .byline, .date-meta, .author-meta, author-meta a, .entry-footer, .entry-footer a', 'style' => 'font-weight' ) ),
	);

	# Font size.
	$options[] = array(
		  'slug'        => 'secondary_font_size',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Font Size', 'magazinex-lite' ),
		  'description' => esc_html__( 'Set font-size. Default: 12px', 'magazinex-lite' ),
		  'choices'     => magazinex_customizer_font_size_list(),
		  'default'     => '12',
		  'section'     => 'font_secondary',
		  'transport'   => 'refresh',
		 // 'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.post-box .post-meta, .post-box .comments-link a, .grid-entry-content .byline, .posts-block .byline, .posts-block .date-meta, .byline, .date-meta, .author-meta, author-meta a, .entry-footer, .entry-footer a', 'style' => 'font-size', 'mix' => 'px' ) ),
	);

	/**
	 *	Widgets/Sections Headings.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'font_widgets_title',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Widgets/Secondary Headings', 'magazinex-lite' ),
		  'panel'       => 'font_panel',
	);

	# Font Name.
	$options[] = array(
		  'slug'        => 'widgets_title_font_name',
		  'opt_type'    => 'google_fonts',
		  'name'        => esc_html__( 'Google Font Name', 'magazinex-lite' ),
		  'description' => esc_html__( 'Choose a font name. Default: Lato', 'magazinex-lite' ),
		  'default'     => 'Lato',
		  'section'     => 'font_widgets_title',
		  'transport'   => 'refresh',
		 // 'js_mod'      => 'google_fonts',
		  'css_output'  => array( array( 'class' => '.related-posts .related-title, .widget-title, .comment-title, .comment-reply-title', 'style' => 'font-family' ) ),
	);

	# Font Weight.
	$options[] = array(
		  'slug'        => 'widgets_title_font_w',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Font Weight', 'magazinex-lite' ),
		  'description' => esc_html__( 'Set font-weight. Default: 600/Bold. Important: Not all fonts support every font-weight.', 'magazinex-lite' ),
		  'default'     => '600',
		  'choices'     => magazinex_customizer_font_weight_list(),
		  'section'     => 'font_widgets_title',
		  'transport'   => 'refresh',
		 // 'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.related-posts .related-title, .widget-title, .comment-title, .comment-reply-title', 'style' => 'font-weight' ) ),
	);

	# Font size.
	$options[] = array(
		  'slug'        => 'widgets_title_font_size',
		  'opt_type'    => 'select',
		  'name'        => esc_html__( 'Font Size', 'magazinex-lite' ),
		  'description' => esc_html__( 'Set font-size. Default: 17px', 'magazinex-lite' ),
		  'choices'     => magazinex_customizer_font_size_list(),
		  'default'     => '17',
		  'section'     => 'font_widgets_title',
		  'transport'   => 'refresh',
		//  'js_mod'      => 'css_output',
		  'css_output'  => array( array( 'class' => '.related-posts .related-title, .widget-title, .comment-title, .comment-reply-title', 'style' => 'font-size', 'mix' => 'px' ) ),
	);

	return $options;
}
add_filter( 'magazinex_settings_input', 'magazinex_customizer_google_fonts_options' );