<?php
/**
 * @package Magazinex
 */
function magazinex_customizer_header_settings( $options ) {
	/**
	 *	Add Section.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'header_section',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Header Settings', 'magazinex-lite' ),
		  'priority'    => 61,
	);

	/**
	 *	Options.
	 *--------------------------------------------------------------*/
	# Padding Top.
	$options[] = array(
		  'slug'        => 'header_padding_top',
		  'opt_type'    => 'range',
		  'name'        => esc_html__( 'Padding Top', 'magazinex-lite' ),
		  'input_attrs' => array( 'min' => 80, 'max' => 300, 'step' => 10 ),
		  'default'     => '180',
		  'section'     => 'header_section',
		  'transport'   => 'refresh',
		  'css_output'  => array( array( 'class' => '.title-area', 'style' => 'padding-top', 'mix' => 'px' ) ),
	);
	# Padding Bottom.
	$options[] = array(
		  'slug'        => 'header_padding_bottom',
		  'opt_type'    => 'range',
		  'name'        => esc_html__( 'Padding Bottom', 'magazinex-lite' ),
		  'input_attrs' => array( 'min' => 80, 'max' => 300, 'step' => 10 ),
		  'default'     => '180',
		  'section'     => 'header_section',
		  'transport'   => 'refresh',
		  'css_output'  => array( array( 'class' => '.title-area', 'style' => 'padding-bottom', 'mix' => 'px' ) ),
	);
	# Overlay Header Image.
	$options[] = array(
		  'slug'        => 'header_image_overlay',
		  'opt_type'    => 'range',
		  'name'        => esc_html__( 'Overlay Header Image', 'magazinex-lite' ),
		  'input_attrs' => array( 'min' => 0, 'max' => 9, 'step' => 1 ),
		  'default'     => '3',
		  'section'     => 'header_section',
		  'transport'   => 'refresh',
	);
	
	return $options;
}
add_filter( 'magazinex_settings_input', 'magazinex_customizer_header_settings' );