<?php
/**
 * @package Magazinex
 */
function magazinex_customizer_layouts( $options ) {
	/**
	 *	Add section.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'layout_section',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Layouts', 'magazinex-lite' ),
		  'priority'    => 85,
	);

	/**
	 *	Home Layout.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'home_layout',
		  'opt_type'    => 'radio',
		  'section'     => 'layout_section',
		  'default'     => 'layout-three-columns',
		  'name'        => esc_html__( 'Home/Blog Posts', 'magazinex-lite' ),
		  'choices'     => array(
			  'layout-default'           => esc_html__( 'Classic with Sidebar', 'magazinex-lite' ),
			  'layout-two-columns'       => esc_html__( '2 Columns with Sidebar', 'magazinex-lite' ),
			  'layout-two-columns-fully' => esc_html__( '2 Columns w/o Sidebar', 'magazinex-lite' ),
		)
	);

	/**
	 *	Archive Layout.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'archive_layout',
		  'opt_type'    => 'radio',
		  'section'     => 'layout_section',
		  'default'     => 'layout-two-columns',
		  'name'        => esc_html__( 'Archive/Category Posts', 'magazinex-lite' ),
		  'choices'     => array(
			  'layout-default'           => esc_html__( 'Classic with Sidebar', 'magazinex-lite' ),
			  'layout-two-columns'       => esc_html__( '2 Columns with Sidebar', 'magazinex-lite' ),
			  'layout-two-columns-fully' => esc_html__( '2 Columns w/o Sidebar', 'magazinex-lite' ),
		)
	);

	/**
	 *	Front Page Layout.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'front_layout',
		  'opt_type'    => 'radio',
		  'section'     => 'layout_section',
		  'default'     => 'layout-three-columns',
		  'name'        => esc_html__( 'Front Page Posts', 'magazinex-lite' ),
		  'description'        => esc_html__( 'On the Front Page the Posts layout w/o Sidebar.', 'magazinex-lite' ),
		  'choices'     => array(
			  'layout-default'           => esc_html__( 'Classic', 'magazinex-lite' ),
			  'layout-two-columns-fully' => esc_html__( '2 Columns', 'magazinex-lite' ),
			  'layout-three-columns'     => esc_html__( '3 Columns', 'magazinex-lite' ),
		)
	);

	/**
	 *	Sidebar Position.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'sidebar_position',
		  'opt_type'    => 'radio',
		  'section'     => 'layout_section',
		  'default'     => 'right-sidebar',
		  'name'        => esc_html__( 'Sidebar Layout', 'magazinex-lite' ),
		  'description'        => esc_html__( 'For each page you can choose a special alignment of the sidebar on the edit screen of the page.', 'magazinex-lite' ),
		  'choices'     => array(
			  'right-sidebar' => esc_html__( 'Right Alignment', 'magazinex-lite' ),
			  'left-sidebar'  => esc_html__( 'Left Alignment', 'magazinex-lite' ),
		),
		  'transport'   => 'refresh',
	);

	return $options;
}
add_filter( 'magazinex_settings_input', 'magazinex_customizer_layouts' );