<?php
/**
 * @package Magazinex
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<a href="#" class="menu-toggle"><span class="fa fa-bars"></span></a>
	<header id="masthead" class="site-header clearfix">

		<div class="overlay"<?php header_overlay_style(); ?>>
			<div class="title-area clearfix">
				<?php magazinex_site_title(); ?>
				<?php
					if ( true != get_theme_mod( 'hide_site_tagline' ) ) { ?>
						<span><?php bloginfo( 'description' ); ?></span>
				<?php
					} ?>
			</div><!-- .title-area -->

			<nav id="navigation" class="site-navigation default clearfix">
				<?php
					if ( has_nav_menu( 'primary' ) ) {
						wp_nav_menu( array( 'theme_location' => 'primary', 'container' => '' ) );
					} ?>
				<?php
					if ( has_nav_menu( 'secondary' ) ) {
						wp_nav_menu( array( 'theme_location' => 'secondary', 'menu_class'     => '', 'container' => 'div', 'container_class' => 'top-menu', ) );
				} ?>
				<?php if( ! wp_is_mobile() ) { ?>
			<span class="search-header">
				<a href="#"><i class="fa fa-search"></i></a><!--#search-header-bar-->
			</span>
				<?php } ?>
		<?php
			//if( wp_is_mobile() ) {
				magazinex_social_menu();
				get_search_form();
			//} ?>
			</nav><!-- .site-navigation -->
		</div><!-- .overlay -->
	</header><!-- #masthead -->

		<?php if( ! wp_is_mobile() ) { ?>
	<aside id="search-header-bar">
		<?php get_search_form(); ?>
	</aside>
		<?php } ?>

	<main id="main" class="site-main clearfix">
		<div class="container">