<?php

/**
 * This file is used to markup the "Getting Started" section on the dashboard page.
 *
 * @package Magazinex
 */

// Links that are used on this page.
$getting_started_links = array(
    'demo' => 'http://demo.dinevthemes.com/magazinex/',
    'docs' => 'http://dinevthemes.com/documentation-category/magazinex-theme-doc/',
	'premium' => 'http://dinevthemes.com/themes/magazinex/',
);

?>

<div class="tab-section">
    <h3 class="section-title"><?php esc_html_e( 'Documentation', 'magazinex-lite' ); ?></h3>

    <p><?php esc_html_e( 'Thank you that you have chosen the Magazinex theme for your website. More features and one-on-one support you will get with the premium version of the theme.', 'magazinex-lite' ); ?></p>

    <p>
    <?php
        // Display link to theme's documentation.
        printf( '<a href="%1$s" class="button" target="_blank">%2$s</a>', esc_url( $getting_started_links['docs'] ), esc_html__( 'Documentation', 'magazinex-lite' ) );
    ?>
	<?php
        // Display link to premium version of the theme.
        printf( '<a href="%1$s" class="button" target="_blank">%2$s</a>', esc_url( $getting_started_links['premium'] ), esc_html__( 'Get Premium', 'magazinex-lite' ) );
    ?>
    </p>
</div><!-- .tab-section -->

<div class="tab-section">
    <h3 class="section-title"><?php esc_html_e( 'Front Page Setup', 'magazinex-lite' ); ?></h3>

    <p><?php esc_html_e( 'Create a new by going to Pages > Add New. Give your page a name (Title field). Select the Front Page template in the Page Attributes box.', 'magazinex-lite' ); ?></p>
	<p><?php esc_html_e( 'Please note: If you do not see the Page Attributes box, please click on the tab Screen Options (on the top admin bar) and check Page Attributes.', 'magazinex-lite' ); ?></p>
	<p><?php esc_html_e( 'In the same way create a blank page for the Blog Page. The template for this page, leave the Default.', 'magazinex-lite' ); ?></p>
	<p><?php esc_html_e( 'Now you can go to Appearance > Customize > Static Front Page and choose your new created Page as your Front Page.', 'magazinex-lite' ); ?></p>

</div><!-- .tab-section -->

<div class="tab-section">
    <h3 class="section-title"><?php esc_html_e( 'Theme Options', 'magazinex-lite' ); ?></h3>

    <p><?php esc_html_e( 'You can use of the Customizer to provide you with the theme options. Press the button below to open the Customizer and start making changes.', 'magazinex-lite' ); ?></p>

    <p><a href="<?php echo wp_customize_url(); // WPCS: XSS OK. ?>" class="button" target="_blank"><?php esc_html_e( 'Customize Theme', 'magazinex-lite' ); ?></a></p>
</div><!-- .tab-section -->

<div class="tab-section">
    <h3 class="section-title"><?php esc_html_e( 'Demo Website', 'magazinex-lite' ); ?></h3>

    <p><?php esc_html_e( 'You can recreate the demo website. All you need is following short instructions from theme docs. Please note that a file for importing demo-content may be offered only premium users.', 'magazinex-lite' ); ?></p>

    <p>
	<?php
        // Display link to premium version of the theme.
        printf( '<a href="%1$s" class="button" target="_blank">%2$s</a>', esc_url( $getting_started_links['premium'] ), esc_html__( 'Get Premium', 'magazinex-lite' ) );
    ?>
	<?php
        // Display link to theme's documentation.
        printf( '<a href="%1$s" class="button" target="_blank">%2$s</a>', esc_url( $getting_started_links['docs'] ), esc_html__( 'Documentation', 'magazinex-lite' ) );
    ?>
    <?php
        // Display a link to the demo website.
        printf( '<a href="%1$s" class="demo-button" target="_blank">%2$s</a>', esc_url( $getting_started_links['demo'] ), esc_html__( 'View Demo', 'magazinex-lite' ) );
    ?>
    </p>
</div><!-- .tab-section -->
