<?php
/**
 * @package Magazinex
 */

if( ! function_exists( 'magazinex_plugins_remove_jetpack_sharing' ) ) {
/**
 *	Disable Jetpack sharing from the exceprt.
 *-----------------------------------------------------------------*/
	function magazinex_plugins_remove_jetpack_sharing() {
		if( function_exists( 'sharing_display' ) ) {
			remove_filter( 'the_excerpt', 'sharing_display', 19 );
		}
	}
}
add_action( 'init', 'magazinex_plugins_remove_jetpack_sharing' );


/**
 *	Jetpack infinite scroll config.
 *-----------------------------------------------------------------*/
if( ! function_exists( 'magazinex_plugins_jetpack_infinite_scroll_setup' ) ) {
	function magazinex_plugins_jetpack_infinite_scroll_setup() {
		$custom = apply_filters( 'magazinex_jetpack_infinite_scroll', array() );
		$args   = wp_parse_args( $custom, array(
			  'type'           => 'scroll',
			  'container'      => 'primary',
			  'footer'         => 'page',
			  'render'         => '_magazinex_jetpack_render_content_to_scroll',
			  'posts_per_page' => true
		) );

		add_theme_support( 'infinite-scroll', $args );
	}
}
add_action( 'after_setup_theme', 'magazinex_plugins_jetpack_infinite_scroll_setup' );


/**
 *	Render content for jetpack infinite scroll.
 *-----------------------------------------------------------------*/
if( ! function_exists( '_magazinex_jetpack_render_content_to_scroll' ) ) {
	function _magazinex_jetpack_render_content_to_scroll() {
		$layout = magazinex_external_current_layout();
		while( have_posts() ) {
			the_post();

			// Include template for the content.
			if ( 'layout-default' != $layout && 'layout-list' != $layout ) {
				get_template_part( 'partials/layout-entry', 'grid' );
			} else {
				get_template_part( 'partials/layout-entry' );
			}

		}
	}
}


/**
 *	Change Jetpack's Infinite Scroll text.
 *-----------------------------------------------------------------*/
function magazinex_plugins_jetpack_infinite_scroll_load_more_text( $settings ) {
	$settings['text'] = esc_html__( 'Load more', 'magazinex-lite' );
	return $settings;
}
add_filter( 'infinite_scroll_js_settings', 'magazinex_plugins_jetpack_infinite_scroll_load_more_text' );