<?php
/**
 * Template Name: Contributors
 *
 * @package Magazinex
 */
	get_header();
?>

<div id="primary" class="content-area clearfix" role="main">

	<header class="page-header">
		<?php the_title( '<h1 class="page-title">', '</h1>' ); ?>
	</header>

<?php while ( have_posts() ) : the_post(); ?>
	<?php if ( '' != get_the_content() ) : ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="entry-content clearfix">
		<?php
			the_content();
			wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'magazinex-lite' ),
					'after'  => '</div>',
			) ); ?>
	</div><!-- .entry-content -->
</article>
					
	<?php endif; ?>
<?php endwhile; // end of the loop. ?>

			<?php
			// Get a list of users
			$administrators = get_users( array(
				'orderby' => 'post_count',
				'role'    => 'administrator',
				'order'   => 'DESC',
			) );
			$authors = get_users( array(
				'orderby' => 'post_count',
				'role'    => 'author',
				'order'   => 'DESC',
			) );
			$contributors = get_users( array(
				'orderby' => 'post_count',
				'role'    => 'contributor',
				'order'   => 'DESC',
			) );
			$users = array_merge( $administrators, $authors );
			$users = array_merge( $users, $contributors ); ?>

			<div class="authors-list clearfix">

<?php foreach( $users as $mag_author ) : ?>

<?php
	// Vars
	global $mag_author;
	$user_id			= $mag_author->ID;
	$display_name		= $mag_author->display_name;
	$author_profile_url	= get_author_posts_url( $user_id ); ?>

<article class="author-info post-boxed clearfix">

	<div class="author-info-inner clearfix">

		<div class="author-info-avatar">
			<a href="<?php echo esc_url( $author_profile_url ); ?>" title="<?php esc_attr_e( 'Posts by', 'magazinex-lite' ); ?> <?php echo esc_attr( $display_name ); ?>">
				<?php echo get_avatar( $user_id , '80' ); ?>
			</a>
		</div>

		<div class="author-info-bio">

			<h2 class="author-info-title">
				<a href="<?php echo esc_url( $author_profile_url ); ?>" title="<?php esc_attr_e( 'Posts by', 'magazinex-lite' ); ?> <?php echo esc_attr( $display_name ); ?>">
					<?php echo esc_html( $display_name ); ?>
				</a>
			</h2>

			<p><?php echo esc_attr( get_user_meta( $user_id, 'description', true ) ); ?></p>

			<div class="author-info-social clearfix">
			<?php
			// Website URL 
			if ( $user_website = get_the_author_meta( 'url', $user_id ) ) { ?>
				<a href="<?php echo esc_url( $user_website ); ?>" title="<?php esc_attr_e( 'Website', 'magazinex-lite' ); ?>" class="author-website" target="_blank"><?php esc_attr_e( 'Website', 'magazinex-lite' ); ?></a>
			<?php } ?>
			</div><!-- .author-info-social -->

		</div>

	</div><!-- .author-info-inner -->

</article>

<?php endforeach; ?>

			</div><!-- .authors-list -->

</div><!-- #primary -->
<?php
	get_sidebar();
	get_footer();