<?php
/**
 * Template Name: Front Page
 *
 * @package Magazinex
 */
	get_header();
?>

<div id="primary" class="content-area clearfix" role="main">

<?php
	// Get front-page sections
	$sections = get_theme_mod( 'section_order', 'content:1,sticky:0,featured-cat:0,featured-format:0,recent-posts:1' );

	// Turn blocks into array
	if ( $sections ) :
					
		$sections = explode( ',', $sections );

		foreach ( $sections as $section ) :

			if ( 'content:1' == $section ) :
				// Loop page content
				while( have_posts() ) {
					the_post();
					get_template_part( 'partials/front-page/layout' );
				}
			elseif ( 'sticky:1' == $section ) :
				get_template_part( 'partials/front-page/sticky-posts' );

			elseif ( 'featured-cat:1' == $section ) :
				get_template_part( 'partials/front-page/featured-category', esc_html( get_theme_mod( 'featured_category_layout' ) ) );

			elseif ( 'featured-format:1' == $section ) :
				get_template_part( 'partials/front-page/featured', 'format' );

			elseif ( 'recent-posts:1' == $section ) :
				get_template_part( 'partials/front-page/latest', 'posts' );

			endif;

		endforeach;
	endif;
	// $sections
?>

</div><!-- #primary -->
<?php
	get_footer();