<?php
/**
 * Returns the front-page layout of the featured category components
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$category = esc_attr( get_theme_mod( 'featured_cat' ) );
	if ( $category ) {
?>

<section id="featured-category" class="posts-block post-boxed clearfix">
<div class="more-half">
		<?php
			// Query Posts
			global $post;
			$magazinex_query = new WP_Query( array(
				'post_type'		=> 'post',
				'posts_per_page'		=> 1,
				'no_found_rows'		=> true,
				'meta_key'		=> '_thumbnail_id',
				'ignore_sticky_posts'		=> 1,
				// 'post__in'  		=> get_option( 'sticky_posts' ),
				'category__in' 		=> $category,
			) );

			// Loop through posts
			if ( $magazinex_query->have_posts() ) {
			$excerpt_length = 20;
			$count = 0; ?>
					<?php foreach( $magazinex_query->posts as $post ) : setup_postdata( $post );
						if ( has_post_thumbnail() ) { ?>

							<div class="first-post">
								<div class="thumbnail">
									<a href="<?php the_permalink(); ?>">
									<?php the_post_thumbnail( 'magazinex-thumbnail' ); ?>
									</a>
								</div>
								<div class="excerpt">

									<?php get_template_part( 'partials/entry/category' ); ?>

									<a href="<?php the_permalink(); ?>">
										<?php the_title( '<h1>', '</h1>' ); ?>
									</a>

								<?php if( get_theme_mod('hide_featured_author') != true ) { ?>
									<?php magazinex_posted_by(); ?>
								<?php } ?>
									
									<?php echo wp_trim_words( get_the_content(), 40, '&hellip;' ); ?>
								<?php if( get_theme_mod('hide_featured_date') != true ) { ?>
									<?php magazinex_human_date(); ?>
								<?php } ?>

								<?php if( get_theme_mod('hide_featured_more') != true ) { ?>
									<a href="<?php the_permalink(); ?>">
									<?php esc_attr_e( 'Read More', 'magazinex-lite' ); ?>
									</a>
								<?php } ?>
									
								</div>
							</div>

					<?php
						} ?>
					<?php endforeach; ?>
		<?php
			}

			// Reset post data
			wp_reset_postdata(); ?>
</div>

<div class="less-half">
		<?php
			// Query Posts
			global $post;
			$magazinex_query = new WP_Query( array(
				'post_type'		=> 'post',
				'posts_per_page'		=> 4, // $number,
				'no_found_rows'		=> true,
				'category__in' 		=> $category,
				'meta_key'		=> '_thumbnail_id',
				'ignore_sticky_posts'		=> 1,
				'offset' 			=> 1,
			) );

			// Loop through posts
			if ( $magazinex_query->have_posts() ) {
			$excerpt_length = 20;
			$count = 0; ?>

				<ul class="recent-posts recent-list">
					<?php foreach( $magazinex_query->posts as $post ) : setup_postdata( $post );
						if ( has_post_thumbnail() ) { ?>
							<li>
								<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="thumbnail clearfix">
									<?php the_post_thumbnail(); ?>
								</a>
								<div class="excerpt">
									<a href="<?php the_permalink(); ?>""><?php the_title( '<h5>', '</h5>' ); ?></a><?php echo wp_trim_words( get_the_content(), 7, '&hellip;' ); ?>
								</div>
							</li>
					<?php
						} ?>
					<?php endforeach; ?>
				</ul>
		<?php
			}

			// Reset post data
			wp_reset_postdata(); ?>
</div>
</section>
<?php
	} // if $category ?>