<?php
/**
 * Returns the front-page layout of the featured category components
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
} ?>

<section id="featured-format" class="format-posts-grid">
<?php
	if ( get_theme_mod( 'format_posts_title' ) ) { ?>
	<div class="front-section-title">
		<h3 class="section-title"><?php echo esc_html( get_theme_mod( 'format_posts_title', esc_html__( 'Featured Video', 'magazinex-lite' ) ) ); ?></h3>
	</div>
<?php
	} ?>

<?php get_template_part( 'partials/front-page/post-wrap', 'start' ); ?>

		<?php
			$number = esc_attr( get_theme_mod( 'number_format_posts', 3 ) );
			$format = esc_attr( get_theme_mod( 'format_posts' ) );

			// Query Posts
			global $post;
			$magazinex_query = new WP_Query( array(
				'post_type'	=> 'post',
				'posts_per_page'	=> $number,
				'ignore_sticky_posts'	=> 1,
				'tax_query'      => array(
							array(
							'taxonomy' => 'post_format',
							'terms'    => $format,
							'field'    => 'slug',
							'operator' => 'IN',
							),
						),
				// 'offset' 		=> 1,
				// 'category__in' => // array(2,6)
			) );

			// Loop through posts
			if ( $magazinex_query->have_posts() ) {
				global $section;
				$section = 'format';

				foreach( $magazinex_query->posts as $post ) : setup_postdata( $post ); ?>

<?php get_template_part( 'partials/front-page/content-template' ); ?>

				<?php endforeach; ?>

		<?php
				$section = '';
			}

			// Reset post data
			wp_reset_postdata(); ?>
<?php get_template_part( 'partials/front-page/post-wrap', 'end' ); ?>
</section>