<?php
/**
 * Display Sticky Posts on Front Page
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
?>

<?php
$sticky_posts = get_option('sticky_posts');
$length = esc_attr( get_theme_mod( 'sticky_posts_length' ) );

if ( !empty( $sticky_posts ) ) :
	$args = array(
		'post__in' 		=> get_option('sticky_posts'),
		'post_status' 	=> 'publish'
	);

	$sticky_query = new WP_Query( $args );

	if ( $sticky_query->have_posts() ) : ?>

		<section id="sticky-posts" class="sticky-slider">		
			<div id="slider">

				<div id="next" title="<?php printf( esc_attr__( 'Next', 'magazinex-lite' ) ); ?>">
					<div class="arrow-right"></div>
				</div>
				<div id="prev" title="<?php printf( esc_attr__( 'Prev', 'magazinex-lite' ) ); ?>">				
					<div class="arrow-left"></div>
				</div><!-- navigation arrow -->

<?php
	while ( $sticky_query->have_posts() ) : $sticky_query->the_post();
		if ( has_post_thumbnail() ) { ?>

				<div class="slide">
						<div class="slide-copy">

							<a href="<?php the_permalink(); ?>"><?php the_title( '<h2>', '</h2>' ); ?></a>

								<?php if( get_theme_mod('hide_slide_author') != true ) { ?>
									<?php magazinex_posted_by(); ?>
								<?php } ?>

								<?php if( get_theme_mod('hide_slide_date') != true ) { ?>
									<?php magazinex_human_date(); ?>
								<?php } ?>

								<?php if( $length != '0' ) { ?>
									<p><?php echo wp_trim_words( get_the_content(), $length, '&hellip;' ); ?></p>
								<?php } ?>

								<?php if( get_theme_mod('hide_slide_more') != true ) { ?>
									<p><a href="<?php the_permalink(); ?>"><?php esc_attr_e( 'Read More', 'magazinex-lite' ); ?></a></p>
								<?php } ?>
						</div>
					<?php the_post_thumbnail( 'full' ); ?>
				</div><!-- .slide -->
<?php
		}
	endwhile;
	wp_reset_postdata(); ?>			
			</div><!-- .slider -->
</section>
<?php
	endif;
endif; // !empty ?>