<?php
/**
 * The template for displaying all pages, single posts and attachments
 *
 * This is a new template file that WordPress introduced in
 * version 4.3. Note that it uses conditional logic to display
 * different content based on the post type.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Magazinex
 */

get_header(); ?>

<div id="primary" class="content-area clearfix" role="main">

<?php
	if ( is_singular( 'page' ) ) {

		// Start the Loop.
		while( have_posts() ) {
			the_post();

			// Include template for the content.
			get_template_part( 'partials/layout-page' );
		}

	} else {

		// Start the Loop.
		while( have_posts() ) {
			the_post();

			// Include template for the content.
			get_template_part( 'partials/layout-post', get_post_format() );

			the_post_navigation( array(
					'next_text' => esc_html__( 'Next: %title', 'magazinex-lite' ),
					'prev_text' => esc_html__( 'Prev: %title', 'magazinex-lite' ),
				) );

			// Author Box.
			if( get_theme_mod('hide_author_box') != true ) {
				get_template_part( 'partials/post/author' );
			}

			// Related Posts.
			if( get_theme_mod('hide_related_posts') != true ) {
				magazinex_tags_related_posts();
			}


		}
	}
	// If comments are open or we have at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) :
		comments_template();
	endif;
?>

</div><!-- #primary -->

<?php
	get_sidebar();
	get_footer();